FROM harbor.meetsocial.cn/library/nginx:v1

#以下都需要根据实际情况替换
ENV SERVICE_NAME=sino-mark-client

RUN mkdir /services/websites/${SERVICE_NAME}
# RUN npm install --registry=https://registry.npm.taobao.org && npm run build:${env.RUN_ENV}

COPY ./dist /services/websites/${SERVICE_NAME}

EXPOSE 9527

CMD ["nginx", "-g", "daemon off;"]
